<?php
/**************************** Version 20220805 ***************************/
/*** JSON Data now used to obtain image filenames courtesy of Ken True! ***/
// 21 March 2018 Non-functioning 'Refresh' button removed from iframe
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="selectors">
<div>
<?php
ini_set("allow_url_fopen", true);
/************************ Set Test Parameters for Debugging Purposes ********************/
	if (!isset($sector)) { // For debugging set some defaults if 'inc-wxussectors-hanis3.php' is called alone
//		$_SESSION["CSSwidescreen"]=false; // Establish wideScreen for Testing
		echo '<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>';
		$standAlone = false; // Displays outside of Saratoga template
		$autoRefresh = true; // Use Autorefresh? true or false -- Determines whether AutoRefresh even appears
		$autoRefreshTime = 8; // Number of minutes between autorefreshes.  IMPORTANT: use 2, 3, 4, 5, 6, 8, 10, 15, 20, or 30 ONLY!!!
		$autoRefreshOff = false; // Begin with Autorefresh Off? true or false -- 'OFF' or 'ON"
		$imageWidth = ($standAlone?1200:600); // Default image width
		$satBand = 'Dust'; // Default sector type is set here
/*
		"CONUS" is Pacific US
		"FD" is Full Disk
		"pnw" is Pacific Northwest
		"psw" is Pacific Southwest
		"wus" is US West Coast
		"ak" is Alaska
		"hi" is Hawaii
		"tpw" is Tropical Pacific
*/
		$sector = 'CONUS'; // IMPORTANT!!! Default debugging sector location is set here
		$bgndColor = 'silver'; // Set HAniS Background Color Here
		$btnColor = 'darkslategray'; // Set Button Color here
		$btnTextColor = 'white'; // Set Button Text Color here
		############################ New in Version 2 ##########################
		$pauseSeconds = 2; // Pause on last image, in seconds
		$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
		$numbImages = 20; // Number of Satellite Images to Animate - 3 to around 25
		############################ New in Version 3 ##########################
		$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
		######################## New in Version 20180114 #######################
		$doDebug = false; // Enable/disable Debug output
		$debugText = ''; // Initialize
		$checkFiles = false; // Enable/disable image file existence checking
		$noBandChange = false; // Enable/disable satellite band switching
		$addTime = true; // Add Zulu time to images
		$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
		$restrictWidth = true; // Width restriction is in effect
		$maxWidth = 1205; // Maximum width allowed
//		$wideScreen = true; // Test Saratoga wideScreen settings
		$satBandisNumeric = ($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='Sandwich'&&$satBand!='DayCloudPhase'&&$satBand!='NightMicrophysics'&&$satBand!='FireTemperature'&&$satBand!='EXTENT3'&&$satBand!='CONUS'&&$satBand!='Dust')?true:false;
		$satBand = $satBandisNumeric?($satBand<10?('0'.intval($satBand)):$satBand):$satBand;    
	}
/************************ End Test Parameters for Debugging Purposes ********************/

  $wideScreen = ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']==true)?true:false);

  if (isset($_POST['standAlone'])) {
    $standAlone = $_POST['standAlone'];
  }
  if (isset($_POST['sector'])) {
    $sector = $_POST['sector'];
  }
  if (isset($_POST['satBand'])) {
    $satBand = $_POST['satBand'];
  }
  if (isset($_POST['imageWidth'])) {
    $imageWidth = $_POST['imageWidth'];
  }
  if (isset($_POST['imageHeight'])) {
    $imageHeight = $_POST['imageHeight'];
  }
  if (isset($_POST['iframeWidth'])) {
    $iframeWidth = $_POST['iframeWidth'];
  }
  if (isset($_POST['iframeHeight'])) {
    $iframeHeight = $_POST['iframeHeight'];
  }
  if (isset($_POST['autoRefresh'])) {
    $autoRefresh = $_POST['autoRefresh'];
  }
  if (isset($_POST['autoRefreshTime'])) {
    $autoRefreshTime = $_POST['autoRefreshTime'];
  }
  if (isset($_POST['bgndColor'])) {
    $bgndColor = $_POST['bgndColor'];
  }
  if (isset($_POST['autoRefreshOff'])) {
    $autoRefreshOff = $_POST['autoRefreshOff'];
  }
  if (isset($_POST['btnColor'])) {
    $btnColor = $_POST['btnColor'];
  }
  if (isset($_POST['btnTextColor'])) {
    $btnTextColor = $_POST['btnTextColor'];
  }
  if (isset($_POST['animRate'])) {
    $animRate = $_POST['animRate'];
  }
  if (isset($_POST['pauseSeconds'])) {
    $pauseSeconds = $_POST['pauseSeconds'];
  }
  if (isset($_POST['numbImages'])) {
    $numbImages = $_POST['numbImages'];
  }
  if (isset($_POST['smoothingOn'])) {
    $smoothingOn = $_POST['smoothingOn'];
  }
  if (isset($_POST['doDebug'])) {
    $doDebug = $_POST['doDebug'];
  }
  if (isset($_POST['checkFiles'])) {
    $checkFiles = $_POST['checkFiles'];
  }
  if (isset($_POST['noBandChange'])) {
    $noBandChange = $_POST['noBandChange'];
  }
  if (isset($_POST['wideScreen'])) {
    $wideScreen = $_POST['wideScreen'];
  }
  if (isset($_POST['addTime'])) {
    $addTime = $_POST['addTime'];
  }
  if (isset($_POST['useUTC'])) {
    $useUTC = $_POST['useUTC'];
  }
  if (isset($_POST['restrictedWidth'])) {
    $restrictWidth = $_POST['restrictedWidth'];
  }
  if (isset($_POST['maxWidth'])) {
    $maxWidth = $_POST['maxWidth'];
  }
	if ($doDebug) {
		$debugText = ''; // Initialize
		if (!isset($_POST['wideScreen'])) {
			echo '$_POST[\'wideScreen\']) is not set!<br/>';
		} if (!isset($_POST['noBandChange'])) {
			echo '$_POST[\'noBandChange\'] is not set!<br/>';
		} else echo '$_POST[\'noBandChange\'] is set!<br/>';
	}
	if (!isset($wideScreen)) {
		if ($doDebug) $debugText .= '$wideScreen is not set!<br/>';
		$wideScreen = false;
	}

	if ($doDebug) {
		$debugText .= 'isset($_SESSION[CSSwidescreen]): '.((isset($_SESSION["CSSwidescreen"]))?'true':'false').'<br/>';
		$debugText .= '$wideScreen: '.((isset($_SESSION["CSSwidescreen"])&&$_SESSION["CSSwidescreen"]==true)?'true':'false').'<br/>';
		if (isset($wideScreen)) {
			$debugText .= (', $wideScreen0: '.($wideScreen?'true':'false')).'<br/>';
		}
	}

	if ($doDebug) $debugText .= ('$wideScreen1: '.($wideScreen?'true':'false')).'<br/>';
	$sectorTypes = array('standard','FD','CONUS','wus-ak','tpw'); // Pointers to the various possible image dimensions
	if ($sector=='FD') $ourSectorType = $sectorTypes[1]; // Logic to select our array of dimensions
	else if ($sector=='CONUS') $ourSectorType = $sectorTypes[2];
	else if ($sector=='wus'||$sector=='ak') $ourSectorType = $sectorTypes[3];
	else if ($sector=='tpw') $ourSectorType = $sectorTypes[4];
	else $ourSectorType = $sectorTypes[0];

	$satBandSectors = array( // Array of arrays of possible image dimensions
		'standard'=>array( // The US Regional Image Dimensions
			'widthA'=>1200,
			'iframeWidthA'=>1242,
			'heightA'=>1200,
			'iframeHeightA'=>1295,
			'widthB'=>600,
			'iframeWidthB'=>642,
			'heightB'=>600,
			'iframeHeightB'=>658),
		'FD'=>array( // The Full Disk Dimensions
			'widthA'=>678,
			'iframeWidthA'=>678,
			'heightA'=>678,
			'iframeHeightA'=>733,
			'widthB'=>339,
			'iframeWidthB'=>339,
			'heightB'=>339,
			'iframeHeightB'=>440),
		'CONUS'=>array( // The Continental US Image Dimensions
			'widthA'=>1250,
			'iframeWidthA'=>1292,
			'heightA'=>750,
			'iframeHeightA'=>825,
			'widthB'=>625,
			'iframeWidthB'=>667,
			'heightB'=>375,
			'iframeHeightB'=>450),
		'wus-ak'=>array( // Western US and Alaska Image Dimensions
			'widthA'=>1000,
			'iframeWidthA'=>1042,
			'heightA'=>1000,
			'iframeHeightA'=>1075,
			'widthB'=>500,
			'iframeWidthB'=>542,
			'heightB'=>500,
			'iframeHeightB'=>575),
		'tpw'=>array( // The Tropical Pacific - Wide Dimensions
			'widthA'=>900,
			'iframeWidthA'=>942,
			'heightA'=>540,
			'iframeHeightA'=>615,
			'widthB'=>450,
			'iframeWidthB'=>492,
			'heightB'=>270,
			'iframeHeightB'=>345)
		);
	$imageWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'widthA':'widthB'];
	$iframeWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeWidthA':'iframeWidthB'];
	$imageHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'heightA':'heightB'];
	$iframeHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeHeightA':'iframeHeightB'];
	/* Debug Code */
	if ($doDebug) {
		var_dump($satBandSectors);
		var_dump($satBandSectors['standard']['iframeHeightB']);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			$debugText .= '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		$debugText .= '$ourSectorType: '.$ourSectorType.'<br/>';
		var_dump($satBandSectors[$ourSectorType]['iframeHeightB']);
//		exit;
	}
	/* End Debug Code */
	/* Debug Code */
	if ($doDebug) {
		$debugText .= '$satBand: '.$satBand.', $sector: '.$sector.', $ourSectorType: '.$ourSectorType.'<br/>';
		$debugText .= '$imageWidth: '.$imageWidth.', $iframeWidth: '.$iframeWidth.', $imageHeight: '.$imageHeight.', $iframeHeight: '.$iframeHeight.'<br/>';
//		exit;
	}
/* End Debug Code */	

?>
    <table width="600px">
    <tr style="vertical-align:bottom">

	<?php if (!$noBandChange) { 
		$satBandisNumeric = ($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='Sandwich'&&$satBand!='DayCloudPhase'&&$satBand!='NightMicrophysics'&&$satBand!='FireTemperature'&&$satBand!='EXTENT3'&&$satBand!='CONUS'&&$satBand!='Dust')?true:false;
		$satBand = $satBandisNumeric?($satBand<10?('0'.intval($satBand)):$satBand):$satBand; ?>   
    <td width="<?php echo $autoRefresh?25:32?>%" align="center" style="padding:3px;">

    <span style="color:black; font-size:13px; font-family:arial, times new roman;">
    <b>Satellite Band</b> &nbsp;
    </span>
    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="satBand">
    <option value="GEOCOLOR"<?php echo ($satBand=="GEOCOLOR"?' selected="selected"':'')?>>Geocolor</option>
    <option value="AirMass"<?php echo ($satBand=="AirMass"?' selected="selected"':'')?>>AirMass</option>
    <option value="Sandwich"<?php echo ($satBand=="Sandwich"?' selected="selected"':'')?>>Sandwich</option>
	<option value="DayCloudPhase"<?php echo ($satBand=="DayCloudPhase"?' selected="selected"':'')?>>DayCloudPhase</option>
	<option value="NightMicrophysics"<?php echo ($satBand=="NightMicrophysics"?' selected="selected"':'')?>>NightMicrophysics</option>
 	<option value="FireTemperature"<?php echo($satBand=="FireTemperature"?' selected="selected"':'')?>>FireTemperature</option>
	<option value="EXTENT3"<?php echo($satBand=="EXTENT3"?' selected="selected"':'')?>>Lightning</option>
	<option value="Dust"<?php echo($satBand=="Dust"?' selected="selected"':'')?>>Dust</option>
   <option value="01"<?php echo ($satBand=="01"?' selected="selected"':'')?>>Blue Visible</option>
    <option value="02"<?php echo ($satBand=="02"?' selected="selected"':'')?>>Red Visible</option>
    <option value="03"<?php echo ($satBand=="03"?' selected="selected"':'')?>>Veggie - Near IR</option>
    <option value="04"<?php echo ($satBand=="04"?' selected="selected"':'')?>>Cirrus - Near IR</option> 
    <option value="05"<?php echo ($satBand=="05"?' selected="selected"':'')?>>Snow/Ice - Near IR</option>
		<?php if (($imageWidth < 1200 || $sector=="CONUS") || $standAlone==1 || $wideScreen==1) { ?>
    <option value="06"<?php echo ($satBand=="06"?' selected="selected"':'')?>>Cloud Particle - Near IR</option>
    <option value="07"<?php echo ($satBand=="07"?' selected="selected"':'')?>>Shortwave Window - IR</option>
    <option value="08"<?php echo ($satBand=="08"?' selected="selected"':'')?>>Upper-Level Water Vapor - IR</option>
    <option value="09"<?php echo ($satBand=="09"?' selected="selected"':'')?>>Mid-Level Water Vapor - IR</option>
    <option value="10"<?php echo ($satBand=="10"?' selected="selected"':'')?>>Lower-Level Water Vapor - IR</option>
    <option value="11"<?php echo ($satBand=="11"?' selected="selected"':'')?>>Cloud Top - IR</option>
    <option value="12"<?php echo ($satBand=="12"?' selected="selected"':'')?>>Ozone - IR</option>
    <option value="13"<?php echo ($satBand=="13"?' selected="selected"':'')?>>Clean Longwave Window - IR</option>
    <option value="14"<?php echo ($satBand=="14"?' selected="selected"':'')?>>Longwave Window - IR</option>
    <option value="15"<?php echo ($satBand=="15"?' selected="selected"':'')?>>Dirty Longwave Window - IR</option>
    <option value="16"<?php echo ($satBand=="16"?' selected="selected"':'')?>>CO2 Longwave Window - IR</option>
		<?php } ?>
		</select>
	</td>
	<?php } ?>

	<td width="<?php echo $autoRefresh?16:24?>%" align="center" style="padding:3px;">
    
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Satellite View</b> &nbsp;
    </span>

    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="sector">
    <option value="FD"<?php echo ($sector=="FD"?' selected="selected"':'')?>>GOES18 Full Disk</option>
    <option value="CONUS"<?php echo ($sector=="CONUS"?' selected="selected"':'')?>>Pacific US</option>
    <option value="pnw"<?php echo ($sector=="pnw"?' selected="selected"':'')?>>Pacific Northwest</option>
    <option value="psw"<?php echo ($sector=="psw"?' selected="selected"':'')?>>Pacific Southwest</option>
    <option value="wus"<?php echo ($sector=="wus"?' selected="selected"':'')?>>US West Coast</option>
    <option value="ak"<?php echo ($sector=="ak"?' selected="selected"':'')?>>Alaska</option>
    <option value="hi"<?php echo ($sector=="hi"?' selected="selected"':'')?>>Hawaii</option>
    <option value="tpw"<?php echo ($sector=="tpw"?' selected="selected"':'')?>>Tropical Pacific</option>
   </select>
		</td>

    <td width="<?php echo $autoRefresh?30:25?>%" align="center" style="padding:3px;">
      <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
      <b>Image Number</b> <br/>
			</span>  
      <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="numbImages">
      <?php if ($imageWidth==600||$imageWidth==625) $imageMax = 44;
				else if ($imageWidth==500) $imageMax = 37;
				else if ($imageWidth==450) $imageMax = 30;
			  else if ($imageWidth==339) $imageMax = 22;
				else $imageMax = 80;
				if ($numbImages>$imageMax) $numbImages = $imageMax;
//				echo 'A: $numbImages: '.$numbImages.', $imageMax: '.$imageMax.'<br/>'; // Debug Code
			?>
      <?php for ($i=12; $i<=$imageMax; $i++) {
				echo '<option value="'.$i.'"'.(($i==$numbImages)?' selected="selected"':'').'>'.$i.'</option>';
			} ?>
      </select>
    </td>

    <?php if ($autoRefresh==1) { ?>
    <td width="<?php echo $autoRefresh?16:28?>%" align="center" style="padding:3px;">
    
      <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
      <b>AutoRefresh</b> &nbsp;
			</span>  
      <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="autorefreshoff">
      	<option value="0"<?php echo ($autoRefreshOff==0)?' selected="selected"':''?>>ON</option>
        <option value="1"<?php echo ($autoRefreshOff==1)?' selected="selected"':''?>>OFF</option>
      </select>
    </td>
    <td width="18%" align="center" style="padding:3px;">
      
      <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
      <b>AutoRefresh Interval</b> <br/>
      </span>
      <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="interval">
        <option value="5"<?php echo $autoRefreshTime==5?' selected="selected"':''?>>5 Minutes</option>
        <option value="10"<?php echo $autoRefreshTime==10?' selected="selected"':''?>>10 Minutes</option>
        <option value="15"<?php echo $autoRefreshTime==15?' selected="selected"':''?>>15 Minutes</option>
        <option value="20"<?php echo $autoRefreshTime==20?' selected="selected"':''?>>20 Minutes</option>
        <option value="30"<?php echo $autoRefreshTime==30?' selected="selected"':''?>>30 Minutes</option>
      </select>
      

    <?php } else { ?>
      <td width="<?php echo $autoRefresh?12:20?>%" align="center" style="padding:3px;">
    
        <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
          &nbsp; <br/>
        </span>
        <button style="border:1px solid #000000; background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="refresh">
        <b>Refresh</b></button>
    
    <?php } ?>
    
	</td></tr></table>
  
  <?php 
	$satBandisNumeric = ($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='Sandwich'&&$satBand!='DayCloudPhase'&&$satBand!='NightMicrophysics'&&$satBand!='FireTemperature'&&$satBand!='EXTENT3'&&$satBand!='CONUS'&&$satBand!='Dust')?true:false;
	$satBand = $satBandisNumeric?($satBand<10?('0'.intval($satBand)):$satBand):$satBand;    
	
	if ($sector=='FD') $ourSectorType = $sectorTypes[1]; // Logic to select our array of dimensions
	else if ($sector=='CONUS') $ourSectorType = $sectorTypes[2];
	else if ($sector=='wus'||$sector=='ak') $ourSectorType = $sectorTypes[3];
	else if ($sector=='tpw') $ourSectorType = $sectorTypes[4];
	else $ourSectorType = $sectorTypes[0];

	$imageWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'widthA':'widthB'];
	$iframeWidth = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeWidthA':'iframeWidthB'];
	$imageHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'heightA':'heightB'];
	$iframeHeight = $satBandSectors[$ourSectorType][($wideScreen||$standAlone)?'iframeHeightA':'iframeHeightB'];
	$iframeHeight += $addTime?20:0;
	if (($imageWidth>$maxWidth)&&$restrictWidth&&($standAlone||$wideScreen)) {
		$ratioAdjust = $maxWidth/$imageWidth;
		$iframeWidth = ceil($iframeWidth*$ratioAdjust);
		$iframeHeight = ceil($iframeHeight*$ratioAdjust);
	}

	/* Debug Code *
	if ($doDebug) {
		var_dump($satBandSectors);
		var_dump($satBandSectors['standard']['iframeHeightB']);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			$debugText .= '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		$debugText .= '$ourSectorType: '.$ourSectorType.'<br/>';
		var_dump($satBandSectors[$ourSectorType]['iframeHeightB']);
//		exit;
	}
	/* End Debug Code */
	/* Debug Code */
	if ($doDebug) {
		$debugText .= '$imageWidth: '.$imageWidth.', $iframeWidth: '.$iframeWidth.', $imageHeight: '.$imageHeight.', $iframeHeight: '.$iframeHeight.'<br/>';
//		exit;
	}
	/* End Debug Code */	
	$jsConstants = array(
			'var imageWidth = "'.$imageWidth.'";',
			'var imageHeight = "'.$imageHeight.'";',
			'var iframeWidth = "'.$iframeWidth.'";',
			'var iframeHeight = "'.$iframeHeight.'";',
			'var autoRefresh = "'.$autoRefresh.'";',
			'var bgndColor = "'.$bgndColor.'";',
			'var btnColor = "'.$btnColor.'";',
			'var restrictedWidth = "'.$restrictWidth.'";',
			'var maxWidth = "'.$maxWidth.'";',
			'var btnTextColor = "'.$btnTextColor.'";',
			'var animRate = "'.$animRate.'";',
			'var pauseSeconds = "'.$pauseSeconds.'";',
			'var autoRefreshOff = "'.($autoRefreshOff?'1':'0').'";',
			'var smoothingOn = "'.($smoothingOn?'1':'0').'";'.
			'var doDebug = "'.($doDebug?'1':'0').'";'.
			'var standAlone = "'.($standAlone?'1':'0').'";'.
			'var checkFiles = "'.($checkFiles?'1':'0').'";',
			'var noBandChange = "'.($noBandChange?'1':'0').'";',
			'var wideScreen = "'.($wideScreen?'1':'0').'";',
			'var addTime = "'.($addTime?'1':'0').'";',
			'var useUTC = "'.$useUTC.'";'
	);
	?>
  <?php if ($imageWidth==600) $imageMax = 45;
	else if ($imageWidth==500) $imageMax = 37;
	else if ($imageWidth==450) $imageMax = 30;
  else if ($imageWidth==300) $imageMax = 22;
	else $imageMax = 80;
	if ($doDebug) $debugText .= 'B: $numbImages: '.$numbImages.', $imageMax: '.$imageMax.'<br/>'; // Debug Code
	
	if ($numbImages>$imageMax) $numbImages = $imageMax;
	
	function do_nothing(){}
	do_nothing();
	?>
	
	<script type="text/javascript">
		var $jq = jQuery.noConflict();
    $jq("#sector").change(function () {
	
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var numbImages = $jq("#numbImages").val();
			var autoRefreshTime = $jq("#interval").val();
			var satBand = $jq("#satBand").val();
      var sector = $jq(this).val();
      showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,useUTC,restrictedWidth,maxWidth);
		});

    $jq("#satBand").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var numbImages = $jq("#numbImages").val();
			var autoRefreshTime = $jq("#interval").val();
			var sector = $jq("#sector").val();
      var satBand = $jq(this).val();
      showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,useUTC,restrictedWidth,maxWidth);
		});

    $jq("#interval").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var numbImages = $jq("#numbImages").val();
      var satBand = $jq("#satBand").val();
 			var sector = $jq("#sector").val();
			var autoRefreshTime = $jq(this).val();
      showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,useUTC,restrictedWidth,maxWidth);
		});

    $jq("#refresh").bind("click", function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var numbImages = $jq("#numbImages").val();
			var autoRefreshTime = $jq("#interval").val();
			var sector = $jq("#sector").val();
			var satBand = $jq("#satBand").val();
      showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,useUTC,restrictedWidth,maxWidth);
		});

    $jq("#autorefreshoff").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var autoRefreshTime = $jq("#interval").val();
			var numbImages = $jq("#numbImages").val();
      var satBand = $jq("#satBand").val();
			var sector = $jq("#sector").val();
			var autoRefreshOff = $jq(this).val();
      showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,useUTC,restrictedWidth,maxWidth);
		});

    $jq("#numbImages").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var autoRefreshTime = $jq("#interval").val();
      var satBand = $jq("#satBand").val();
			var sector = $jq("#sector").val();
			var numbImages = $jq(this).val();
      showSatellite(standAlone,sector,satBand,imageWidth,imageHeight,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,bgndColor,autoRefresh,autoRefreshOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,smoothingOn,doDebug,checkFiles,noBandChange,wideScreen,addTime,useUTC,restrictedWidth,maxWidth);
		});

    </script>

<script type="text/javascript">
	function reloadIframe() {
		var now = new Date();
		var myframe;
		myframe = window.frames["wxsectorshanis"];
		<?php if ($autoRefreshOff==0) { ?>
			if (myframe!==null) {
				myframe.location.reload();
			} else alert("No myframe found");
			setTimeout('reloadIframe()',<?php echo $autoRefreshTime?>*60000);
		<?php } ?>
	}
	<?php if ($autoRefreshOff==0) { ?>
	setTimeout('reloadIframe()',<?php echo $autoRefreshTime?>*60000);
	<?php } ?>
</script>
</div>
<div class="center" align="center" style="width:<?php echo $iframeWidth?>px">
<div class="center" align="center" style="width:<?php echo $imageWidth?>px"> <!-- <div> to align loop in center of iframe -->
		<iframe name="wxsectorshanis" width="<?php echo $imageWidth?>" height="<?php echo $iframeHeight?>" src="./wxGOES18-HAniSLoops-iframe.php?sector=<?php echo $sector?>&amp;satBand=<?php echo $satBand?>&amp;imageWidth=<?php echo $imageWidth?>&amp;imageHeight=<?php echo $imageHeight?>&amp;standAlone=<?php echo $standAlone?>&amp;bgndColor=<?php echo $bgndColor?>&amp;btnColor=<?php echo $btnColor?>&amp;btnTextColor=<?php echo $btnTextColor?>&amp;animRate=<?php echo $animRate?>&amp;pauseSeconds=<?php echo $pauseSeconds?>&amp;numbImages=<?php echo $numbImages?>&amp;smoothingOn=<?php echo $smoothingOn?>&amp;doDebug<?php echo $doDebug?>&amp;checkFiles=<?php echo $checkFiles?>&amp;wideScreen=<?php echo $wideScreen?>&amp;addTime=<?php echo $addTime?>&amp;restrictedWidth=<?php echo $restrictWidth?>&amp;maxWidth=<?php echo $maxWidth?>" scrolling="no" style="border:none; alignment-adjust:middle"></iframe>
</div></div>
<div align="center">
<!--
<h4 align="center">(Images Represent <?php echo ($sector=='car'||$sector=='taw'||$sector=='FD')?'15':'10'?> Minute Intervals, <?php echo ($sector=='car'||$sector=='taw'||$sector=='FD')?'Four':'Six'?> Images Per Hour)</h4>
-->
<?php if ($sector=='CONUS'||$sector=='FD'||$sector=='wus'||$sector=='ak'||$sector=='hi'||$sector=='tpw'||$sector=='pnw'||$sector=='psw') {
	echo '<div style="font-size:12px" align="center">';
		if($sector=='CONUS') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/CONUS/GEOCOLOR/2500x1500.jpg" target="_blank">2500x1500</a> Pixel Image';
		} else if ($sector=='FD') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/FD/'.$satBand.'/5424x5424.jpg" target="_blank">5424x5424 (16+MB)</a> Pixel Image';
		} else if ($sector=='tpw') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/SECTOR/tpw/'.$satBand.'/3600x2160.jpg" target="_blank">3600x2160</a> or <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/SECTOR/tpw/'.$satBand.'/latest.jpg" target=_blank">7200x4340 (26+MB!)</a> Pixel Image';
		} else if ($sector=='pnw'||$sector=='psw'||$sector=='hi') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/SECTOR/'.$sector.'/'.$satBand.'/1200x1200.jpg" target="_blank">1200x1200</a> or <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/SECTOR/'.$sector.'/'.$satBand.'/2400x2400.jpg" target="_blank">2400x2400</a> Pixel Image';
		} else if ($sector=='wus'||$sector=='ak') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/SECTOR/'.$sector.'/'.$satBand.'/2000x2000.jpg" target="_blank">2000x2000</a> or <a href="https://cdn.star.nesdis.noaa.gov/GOES18/ABI/SECTOR/'.$sector.'/'.$satBand.'/4000x4000.jpg" target="_blank">4000x4000</a> Pixel Image';
	}	echo '</div>';
}
if ($doDebug) {
	echo '$imageWidth: '.$imageWidth.', $iframeWidth: '.$iframeWidth.', $imageHeight: '.$imageHeight.', $iframeHeight: '.$iframeHeight.', $wideScreen: '.($wideScreen?'true':'false').'<br/>';
}
if (!$standAlone&&!$wideScreen) {
	echo (file_exists('wxGOES18-HAniSLoops-SA.php'))?'<span style="font-size:14px; align:center"><br/><a href="http://'.$_SERVER['SERVER_NAME'].'/wxGOES18-HAniSLoops-SA.php" target="_blank" title="New Tab">Larger Image Loop</a></span><br/>':'';
}?>
	<?php { // Adds New UTC Timer Display
		echo '<span style="line-height:140%">The date is currently <b>'.gmdate("M j, Y").'</b>. The time is <b>';
		echo('<span id="zTimer">'.gmdate("Hi").'</span> Zulu');
		if ($useUTC) echo (', <span id="gmTimer">'.gmdate("H:i:s").'</span> UTC');
		echo '.</b></span><br/>';
	}?>
<div style="font-size:10px; color: black; text-align:center">
  <span style="font-size:9px; text-align:center">The above images are produced by <a href="https://www.star.nesdis.noaa.gov/GOES/sectors_index.php" target="_blank" title="Off Site">NOAA GOES Satellite Distribution Center</a> -- Animation by <a href="http://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="New Tab">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker<br/>Script by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SELincoln Weather</a> and  <a href="https://saratoga-weather.org/index.php" target="_blank" title="New Tab">Saratoga-Weather.Org</a><br/>
</span>
<?php  if ($doDebug) {
	$debugText .= '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.', $iframeWidth: '.$iframeWidth.', $iframeHeight: '.$iframeHeight.', $standAlone: '.($standAlone==true?'true':'false').'<br/>'; 
} ?>
</div>
</div>
<?php if ($doDebug) print '<br/>'.$debugText;?>
</div> <!-- End #selectors id -->
<script type="text/javascript">
function zuluTimer() {<!--
//<![CDATA[
  var d = new Date();
  var _min = d.getMinutes();
	var _hour = d.getUTCHours();
	var _sec = d.getSeconds();
if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) {
  console.log("((_hour+1)/3): "+((_hour+1)/3));
	console.log("Math.round((_hour+1)/3): "+Math.round((_hour+1)/3));
}
  var count = (60 - _sec); // current count
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
    if (count <= 0) {
      clearInterval(counter);
      zuluTimer();
    }
  } 
	<?php echo 'document.getElementById("zTimer").innerHTML = ((_hour<10)?(\'0\'+_hour):_hour).toString() + ((_min<10)?(\'0\'+_min):_min).toString();';?>
} zuluTimer();
//]]>
-->
function gmtTimer() {<!--
//<![CDATA[
  var d = new Date();
  var _min = d.getMinutes();
	var _hour = d.getUTCHours();
	var _sec = d.getSeconds();
if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) {
  console.log("((_hour+1)/3): "+((_hour+1)/3));
	console.log("Math.round((_hour+1)/3): "+Math.round((_hour+1)/3));
}
  var count = (60 - _sec); // current count
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
		<?php echo 'document.getElementById("gmTimer").innerHTML = ((_hour<10)?(\'0\'+_hour):_hour).toString() +encodeURI(":") + ((_min<10)?(\'0\'+_min):_min).toString() + encodeURI(":") + ((_sec<10)?(\'0\'+_sec):_sec).toString();';?>
		_sec = _sec + 1;
		if (count <= 0) {
      clearInterval(counter);
      gmtTimer();
    }
	}
} gmtTimer();
//]]>
-->
</script>
